package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
* @Description:
* @Author: Mr.zhang
* @Date: 2020-12-23
*/
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_direction")
public class ApiDirection extends BaseObject implements Serializable {

	/**
	* 字典key
	*/
	@TableField("key")
    private String key;

	/**
	* 字典value
	*/
	@TableField("value")
    private String value;

	/**
	* 字典编码
	*/
	@TableField("code")
    private String code;

	/**
	* 父节点
	*/
	@TableField("parent")
    private String parent;

	/**
	* 字典类型
	*/
	@TableField("direction_type")
    private String directionType;

	/**
	* is_enabled
	*/
	@TableField("level")
    private Integer level;


	/**
	* 是否启用:UNABLE 停用，ENABLE 启用
	*/
	@TableField("is_enabled")
    private String isEnabled;


}
