package com.jz.dm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jz.dm.mapper.ApiDirectionMapper;
import com.jz.dm.models.domian.ApiDirection;
import com.jz.dm.service.ApiDirectionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service.impl
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiDirectionServiceImpl
 * @DATE: 2020-12-31/18:01
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Service("apiDirectionService")
@Slf4j
public class ApiDirectionServiceImpl implements ApiDirectionService {

    @Resource
    private ApiDirectionMapper apiDirectionMapper;

    @Override
    public List<ApiDirection> getApiType(String type) {
        QueryWrapper<ApiDirection> query = new QueryWrapper<>();
        query.eq("direction_type",type);
        query.eq("is_enabled",0);
        return  apiDirectionMapper.selectList(query);
    }
}
